# Uses of Class
net.shibboleth.idp.cli.impl.ModuleManagerArguments

Packages that use ModuleManagerArguments
Package
Description
net.shibboleth.idp.cli.impl
Implementation classes for command line drivers and utilities.

## Uses of ModuleManagerArguments in net.shibboleth.idp.cli.impl

Methods in net.shibboleth.idp.cli.impl that return types with arguments of type ModuleManagerArguments
Modifier and Type
Method
Description
`protected Class<ModuleManagerArguments>`
ModuleManagerCLI.`getArgumentClass()`
Methods in net.shibboleth.idp.cli.impl with parameters of type ModuleManagerArguments
Modifier and Type
Method
Description
`private int`
ModuleManagerCLI.`doList(ModuleContext moduleContext, ModuleManagerArguments args)`
List/report on modules.
`private int`
ModuleManagerCLI.`doManage(ModuleContext moduleContext, ModuleManagerArguments args)`
Manage modules as directed.
`protected int`
ModuleManagerCLI.`doRun(ModuleManagerArguments args)`